#!/sbin/sh

LUMLOG=/var/lum/i4cfg.out

    PATH=/sbin:/usr/sbin:/usr/bin
    export PATH

    retval=0
    if [ -f /etc/rc.config ] ; then
	. /etc/rc.config
    else
	echo "ERROR: /etc/rc.config defaults file MISSING"
    fi

    case $1 in
    'start_msg')
	echo "Starting Lum License Server Daemons"
	;;

    'stop_msg')
	echo "Stopping Lum License Server Daemons"
	;;

    'start')

	if [ "$LUM" -eq 1 -a -x /opt/lum/ls/os/hpux/bin/i4cfg ] 
	then
	    #########################################
	    #	Start LUM License Management daemon.#
	    #########################################
            echo "Automatic startup" >> $LUMLOG

            if [[ (`cat /var/lum/i4ls.ini|grep RunGLBD|awk '{print substr($1,9,10) }'` != "no") ]]
            then
               ps -ef|grep glbd|awk '{print $2}'|xargs kill > /dev/null 2>&1
            fi

	    nohup ksh /opt/lum/ls/os/hpux/bin/i4cfg -start >> $LUMLOG 2>&1
	    retval=$?
	else
	    retval=2
	fi

	;;

    'stop')
	if [ -x /opt/lum/ls/os/hpux/bin/i4cfg ]
	then
            echo "Automatic stop" > $LUMLOG
	    nohup ksh /opt/lum/ls/os/hpux/bin/i4cfg -stop >> $LUMLOG 2>&1
	    retval=$?
	fi

	;;

    *)
	echo "usage: $0 {start|stop}"
	;;
    esac

    exit $retval
